### Method

# Hinoko FwIsoIrSingle register_packet

since: 0.7

#### Declaration [src]

    gboolean
    hinoko_fw_iso_ir_single_register_packet (
      HinokoFwIsoIrSingle* self,
      gboolean schedule_interrupt,
      GError** error
    )

#### Description [src]

Register chunk of buffer to process packet for future isochronous cycle. The caller can schedule hardware interrupt to generate interrupt event. In detail, please refer to documentation about `HinokoFwIsoIrSingle::interrupted` signal.

Available since: 0.7

#### Parameters

`schedule_interrupt`

  Type: `gboolean`

  Whether to schedule hardware interrupt at isochronous cycle for the packet.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.